#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Secure Reliable Transport library
Summary(pl.UTF-8):	Biblioteka Secure Reliable Transport
Name:		srt
Version:	1.5.4
Release:	1
License:	MPL v2.0
Group:		Libraries
#Source0Download: https://github.com/Haivision/srt/releases
Source0:	https://github.com/Haivision/srt/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	08e946bbcdb6f9dc3863de5dd8a48aa3
Patch0:		%{name}-build_type.patch
URL:		https://www.srtalliance.org/
BuildRequires:	cmake >= 2.8.12
%ifnarch %arch_with_atomics64
BuildRequires:	libatomic-devel
%endif
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 2.025
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Secure Reliable Transport (SRT) is an open source transport technology
that optimizes streaming performance across unpredictable networks,
such as the Internet.

%description -l pl.UTF-8
Secure Reliable Transport (SRT) to oparta na otwartych źródłach
technika transportu optymalizująca wydajność przesyłania strumieni po
nieprzewidywalnych sieciach, takich jak Internet.

%package devel
Summary:	Header files for SRT library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SRT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for SRT library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SRT.

%package static
Summary:	Static SRT library
Summary(pl.UTF-8):	Statyczna biblioteka SRT
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SRT library.

%description static -l pl.UTF-8
Statyczna biblioteka SRT.

%prep
%setup -q
%patch -P0 -p1

%build
install -d build
cd build
# .pc file generation expects relative CMAKE_INSTALL_{INCLUDE,LIB}DIR
%cmake .. \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DENABLE_CXX_DEPS=OFF \
	%{!?with_static_libs:-DENABLE_STATIC=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md docs/apps/*.md docs/{features,misc}
%attr(755,root,root) %{_bindir}/srt-ffplay
%attr(755,root,root) %{_bindir}/srt-file-transmit
%attr(755,root,root) %{_bindir}/srt-live-transmit
%attr(755,root,root) %{_bindir}/srt-tunnel
%attr(755,root,root) %{_libdir}/libsrt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsrt.so.1.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsrt.so
%{_includedir}/srt
%{_pkgconfigdir}/haisrt.pc
%{_pkgconfigdir}/srt.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsrt.a
%endif
%changelog
* Sun Mar 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/srt.git;a=log;h=master

* Sun Mar 23 2025 Jakub Bogusz <qboosh@pld-linux.org> bd84ac7
- updated to 1.5.4

* Sun Mar 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 5013306
- use patch -P

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 2333285
- updated to 1.5.3

* Tue Sep 26 2023 Jakub Bogusz <qboosh@pld-linux.org> ebfed23
- updated to 1.5.2

* Mon Apr 10 2023 Jan Palus <atler@pld-linux.org> e404699
- BR: libatomic-devel on arch without 64-bit atomics

* Wed Apr 05 2023 Jakub Bogusz <qboosh@pld-linux.org> e2f2cbd
- updated to 1.5.1 (new soname)

* Thu Mar 31 2022 Jakub Bogusz <qboosh@pld-linux.org> b20347e
- updated to 1.4.4

* Sat Sep 25 2021 Jan Rękorajski <baggins@pld-linux.org> 93e19ee
- rebuild with openssl 3.0.0

* Thu Jun 17 2021 Jan Palus <atler@pld-linux.org> 98622c2
- don't override CMAKE_BUILD_TYPE; rel 2

* Wed Jun 16 2021 Jan Palus <atler@pld-linux.org> 0e62229
- macros for %cmake

* Wed Jun 16 2021 Jan Palus <atler@pld-linux.org> 8182009
- up to 1.4.3 (new soname -- includes minor now)

* Sun Jan 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 5802bb1
- updated to 1.4.2

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> fd10e19
- updated to 1.4.1

* Sat Jul 27 2019 Jakub Bogusz <qboosh@pld-linux.org> d3e021e
- updated to 1.3.3

* Thu Apr 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 9db03f1
- new

